Leakage of sensitive data to OpenAI

  • Rule ID: javascript_third_parties_openai
  • Languages: javascript
  • Source: openai.yml

Description

Leaking sensitive data to third-party is a common cause of data leaks and can lead to data breaches. This rule looks for instances of sensitive data sent to OpenAI.

Remediations

When using a third-party, ensure all sensitive data is removed.

Associated CWE

OWASP Top 10

Configuration

To skip this rule during a scan, use the following flag

bearer scan /path/to/your-project/ --skip-rule=javascript_third_parties_openai

To run only this rule during a scan, use the following flag

bearer scan /path/to/your-project/ --only-rule=javascript_third_parties_openai

Ready to take the next step? Learn more about Bearer Cloud.